package com.trs.web2frame.tool.tyjyh.tonglaozheng;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.read.listener.PageReadListener;

import java.util.List;
import java.util.Map;

public class StartExcelType {

    public static void main(String[] args) {
        EasyExcel.read(ColumnConfig.fileNamekeqqrmzf, DemoData.class, new PageReadListener<DemoData>(dataList -> {
            for (DemoData demoData : dataList) {
                try {
                    String hyChannelId = demoData.getHyChannelId();
                    ServiceImplKp serviceImplKp = new ServiceImplKp();
                    List<Map<String, String>> maps = serviceImplKp.GetAllDocVIEW(hyChannelId);
                    for (Map<String, String> map : maps) {
                        if(!map.get("VIEWDESC").equals("×تر¶")){
                            System.out.println(hyChannelId+"============"+map);
                        }
                    }
                }catch (Exception e){
                    e.printStackTrace();
                }

            }
        })).sheet().doRead();
    }
}
